# generate a stairstep curve with numSteps steps
def genSteps(numSteps):
    curveFile = open('%d-steps.curve' % numSteps, 'w')
    curveFile.write('<?xml version="1.0" encoding="UTF-8"?>\n\n<curve>\n')

    x = 0.0
    dx = 1.0 / numSteps
    y = 0.0
    dy = 0.01 + 1.0 / (numSteps - 1)
    while x < 1.0:
        if y > 1.0: y = 1.0
        curveFile.write('<Segment fxMin="%f" fxMax="%f" fyMin="%f" fyMax="%f" curvature="%f"/>\n' % (x, x + dx, y, y, 0.0))
        x += dx
        y1 = y + dy
        if y1 > 1.0: y1 = 1.0
        if x < 1.0:
            curveFile.write('<Segment fxMin="%f" fxMax="%f" fyMin="%f" fyMax="%f" curvature="%f"/>\n' % (x, x, y, y1, 0.0))
        y += dy

    curveFile.write('</curve>\n')
    curveFile.close()

def genChoose(stepNum, numSteps):
    curveFile = open('step-%d-of-%d.curve' % (stepNum, numSteps), 'w')
    curveFile.write('<?xml version="1.0" encoding="UTF-8"?>\n\n<curve>\n')

    x = 0.0
    dx = 1.0 / numSteps
    for i in range(numSteps):
        y = 1.0 if i == (stepNum - 1) else 0.0
        curveFile.write('<Segment fxMin="%f" fxMax="%f" fyMin="%f" fyMax="%f" curvature="%f"/>\n' % (x, x + dx, y, y, 0.0))
        x += dx
        if x < 1.0:
            y1 = 1.0 if i == stepNum else 0.0
            curveFile.write('<Segment fxMin="%f" fxMax="%f" fyMin="%f" fyMax="%f" curvature="%f"/>\n' % (x, x, y, y1, 0.0))

    curveFile.write('</curve>\n')
    curveFile.close()

for steps in range(2, 6):
    genSteps(steps)
    for step in range(steps):
        genChoose(step + 1, steps)
